# SWE Agent - Headless Agentic IDE

Multi-agent Software Engineering system using LangGraph and Claude Sonnet 4 for intelligent code analysis and generation.

## Installation

```bash
pip install swe-ai-agent
```

## Usage

```bash
# Interactive mode
swe-agent --interactive

# Pair programming interface
swe-agent --pair

# Modern terminal interface
swe-agent --warp

# Direct task execution
swe-agent --task "create a Python calculator"
```

## Features

- **Multi-Agent Architecture**: Planner, Software Engineer, Code Analyzer, and Editor agents
- **Universal Language Support**: Works with all programming languages through AI understanding
- **Advanced Interfaces**: Interactive, pair programming, and modern terminal options
- **Comprehensive Tools**: 23 tools for file operations, shell commands, git integration, and code analysis
- **Security Scanning**: Automated code security analysis

## Configuration

Set your API key:
```bash
export ANTHROPIC_API_KEY="your_api_key_here"
```

## License

Apache License 2.0

## Links

- [PyPI Package](https://pypi.org/project/swe-ai-agent/)
- Built with Claude Sonnet 4 and LangGraph